%%:@* objects

%%@ extern

%@include @vr/library-vrml.pl

%%@ object
:- object objects : [ browser ].
var max = 12.

xof(r,C,2).
xof(l,C,-2).
yof(R,C,Y):- Y is -1.5 + 0.2 * C.
zof(R,C,1).

aof(R,C,T) :- T is 0.8 - 0.8 * (max - C)/max.
sizeof(R,C,0.15).

colorof(r,C,'0 1 1').
colorof(l,C,'1 0 0').

object(R,C,X) :-
	sizeof(R,C,S),
	 O := new(box), O<-set_size(S), O<-stringof(X).
	%%format_to_atom(X,'Box { size ~w ~w ~w }',[S,S,S]).

translation(R,C,T) :- xof(R,C,X), yof(R,C,Y), zof(R,C,Z),
 format_to_atom(T,'translation ~w ~w ~w ',[X,Y,Z]).

material(R,C,M) :- colorof(R,C,Cl), aof(R,C,T),
 format_to_atom(M,'Material { diffuseColor ~w transparency ~w }',[Cl,T]).


deposit(R,C) :- !,
  object(R,C,Obj),
  material(R,C,Mat),
  format_to_atom(App,'Appearance { material ~w }',[Mat]),
  format_to_atom(Shape,'DEF shape-~w-~w Shape { geometry ~w appearance ~w }',[R,C,Obj,App]),
  translation(R,C,T),
  format_to_atom(Touch,'DEF touch-~w-~w TouchSensor { }',[R,C]),
  format_to_atom(Decl,'directOutput TRUE eventIn SFTime touch field SFNode shape USE shape-~w-~w',[R,C]),
  format_to_atom(Fun,'function touch(v) { shape.appearance.material.diffuseColor = new SFColor(1,1,0); }',[]),
  format_to_atom(Body,'~w url "javascript: ~w"',[Decl,Fun]),
  format_to_atom(Script,'DEF script-~w-~w Script { ~w }',[R,C,Body]),
  format_to_atom(Route,'ROUTE touch-~w-~w.touchTime TO script-~w-~w.touch',[R,C,R,C]),
  %%format_to_atom(Script,' ',[]),
  %%format_to_atom(Route,' ',[]),
  format_to_atom(Trans,'Transform { ~w  children [~w ~w ~w ~w]}',[T,Shape,Touch,Script,Route]),
  createVrmlFromString(Trans,root,_),
  format('deposit ~w ~w ~w ~n',[R,C,Trans]),
  !.

deposit(_,_).

:- end_object objects.
%%</>
