<document type=dialogs>
%%with-pdf with-dlp with-wrl
@cite=2
<c><p align=right><a href=@text-paper-dialogs.pdf>PDF</a></p></c>
<so abstract-dialogs>
<include file=@biblio/keys>

@* <text annot=@archive/annot/history.jpg trans="4 -5 1" a=0.3>Introduction</text> 
%%@* <text annot=local/screens/vu-6.jpg trans="4 -5 1" a=0.3>Introduction</text> 

<slide text=blue id=dia-intro>
<phrase right="A long~nlong" style="[plain,balloon=0,a(e)=1]"/>
<phrase left="tradition!" style="[plain,balloon=0,a(e)=1]"/>
<include file=plain>
<p>
Some phenomena in the media are older than is generally recognized.
As observed in [_History],
some of the conventions of the 20th century comic books draw
directly or indirectly on an even longer visual tradition:<em>
<text annot=@archive/annot/annot-speech.gif>speech balloons  </text>      
can be found in the eighteenth century prints, which are in turn an adaptation of the <text trans="9 0 1" type=1 a=0.2 annot=@archive/annot/text-wrap.gif>'text scrolls'  </text> 
coming from the mouths of the Virgin and other figures in medieval religious art.</em>
%%[_History].
%%Anon, The Vision of St. Bernard, Book of Hours c. 1470
<p>
In other words, mixed media have their origin in the medieval era,
where both visual material and textual material were part of the rethorics of   
<text annot=@archive/annot/annot-religion.gif>institutionalized religion.</text>
</slide>
<lp>
Our interest in <em>mixed media</em>, that is the use of 
speech ballons with text together with rich media
and 3D virtual environments, stems from developing 
instructional material using 3D technology.
We enhanced the material, which was organized in sequentially
ordered slides, with comments presented by humanoid characters.
These comments would sometimes contain additional information,
and were sometimes plainly ironic, anticipating on students' comments.
Obviously, the dialogs were meant to draw the attention
to particular aspects, and more generally to increase the emotional
involvement of the students with the material.
Experimenting with the way comments could be added to
a slide, we found that the humanoids were often not necessary.
Also, to avoid interference with the material presented in the
slides, it was often necessary to place the speech ballons
somewhat off-center, for example in the lower right corner.
<lp>
In this paper, we explore the design space of mixed media presentations,
which involve the juxtaposition of emotive dialogs,
rich media such as digital video and virtual environments.
We will discuss the issues involved in merging material
with distinct, potentially conflicting, narrative structures,
and we will look at the style parameters needed
to author mixed media presentations in an effective way.

:@ Structure
The structure of the paper is as follows.
In section 2, we will briefly present
the background and motivation to our approach, with an example.
In section 3, we will discuss narrative
structure from the perspective of persuasion and emotional
involvement and compare our approach to related work.
In section 4, we will explore the design space of mixed
media and study a variety of combinations
at the hand of representative examples.
In section 5, we will look at the authoring issues
and discuss the style parameters we used.
In section 6, a brief description is given of 
the implementation platform and in section 7 we will discuss
research directions and open issues.
<vrml>
<slide color=blue text=white a=0 id=dia-structure>
<h4 align=right><orange>structure</green></h4>
<ul bullet=orange size=1.5>
<li>background <green>-- presentation format</green> </li>
<li>perspectives <green> -- narrative structure</green> </li>
<li>design space <green>-- juxtaposition of media</green> </li>
<li>authoring issues <green>-- style parameters</green></li>
<li>implementation <green>-- the DLP+X3D platform</green></li>
<li>research directions <green>-- conversational agents</green> </li>
<li>conclusions <green>-- ...</green> </li>
</ul>
%%</channel>
<navigate/>
</slide>
</vrml>


@* Background and motivation

<slide show=on bg=0 id=dia-back-1>
<slice><p>
<channel y=-4 text=red bgcolor="0.9 0.9 0.9" scale="1 1.2 1" a=0.2 w=20 h=6 size=1>
Desktop VR is an excellent medium for presenting information,
for example in class, in particular when rich media
or 3D content is involved.
</channel><slice><p>
<channel y=-4 text=red bgcolor="0.9 0.9 0.9" scale="1 1.2 1" a=0.2 w=20 h=6 size=1>
At VU, we have been using <em>presentational VR</em>
for quite some time,
in a course on 
<a href=@online/web3d/syllabus>Web3D technology</a> and also in our <a href=@online/media/course><em>introduction multimedia</em></a>
course.
</channel></slide>
<slide id=dia-xx-intro>
<phrase right="See?" style="[plain,balloon=0,a(e)=1]"/>
<phrase left="Sure" style="[plain,balloon=0,a(e)=1]"/>
<p br=8 text=blue>
Recently we included dialogs
using speech balloons (and possibly avatars) to display the text
commenting on a particular presentation.
</p></slide>
%%See figure (a) for an example displaying a virtual
%%environment of the VU, a propaganda movie for attracting
%%students, and two avatars commenting on the scene.
A dialog is (simply) a sequence of phrases for two (virtual)
speakers. Each speaker, alternately, may deliver a phrase.
When delivering a phrase the speaker may step forward,
dependent on the style of presentation chosen.
The dialog text (and avatars) are programmed as 
annotations to a particular scene as described in more
detail in section <ref file=paper-dialogs>authoring</ref>.
<lp>
Each presentation is organized as a sequence of slides,
and dependent on the slides (or level within the slide)
a dialog may be selected and displayed.<footnote>
See the appendix for a description of the slides format.</footnote>
To be more precise, when the presenter goes to another
slide an <em>observer</em> object checks whether 
there is a dialog available, and if so the dialog is started.
See section <ref file=paper-dialogs>platform</ref>, discussing the platform used for realizing the presentations.
<lp>

%%:@ Consonant versus dissonant comments
<lp>

%%<so fig-dialog>

:@- example -- promotion video in virtual environment

\vspace{-0.5cm}
<v>
<slide bg=-1 id=dia-dial-img>
<image src=local/screens/vu-6.jpg>
</slide>
</v>
\noindent
%%\vspace{-0.5cm}
In this example, we used a promotion video produced to attract
students to our university.
In figure (a) the promotion video is embedded in a virtual
environment of our university campus.
In figure (b) only the video is shown.
The dialog used
is, in both examples, a somewhat ironic comment on the contents of
the movie displayed.
<lp>
In figure (a), you see the left avatar (named <em>cutie</em>) step forward
and deliver her phrase. This dialog continues until <em>cutie</em> remarks that she <em>always wanted to be an agent</em>.
In figure (b), you see the right avatar (named <em>red</em>)
step forward asking <em>what do you think of</em>
to discuss what it takes to be a student.
<lp>
Note that in example (a) the avatars are more or less
natural inhabitants of the virtual environment,
whereas in example (b) they are just lain on top of the movie.
In the latter case, the positioning of the avatars
may easily seem unnatural, although it sometimes works
out surprisingly well.
%%In section 4, we will look in more detail at the
%%advantages and disadvantages
%%of the various combinations.

<so fig-dialog-1>

@* General perspectives -- narrative structure and persuasion 

Mixed media, that is the combination of dialogs
with rich media and virtual environments,
may endanger the narrative structure of a presentation.
Each of these media entities may have a distinct narrative structure.
Slides are sequentially organized, and each slide may have levels
that are displayed in a sequential fashion.
The narrative structure of digital video may be
arbitrarily complex, and may make full use
of cinematographic rethorics.
Navigation and interaction in virtual environments
may be seen as a weak narrative structure, which may however 
be strengthened by guided tours or viewpoint transformations,
taking the user to a variety of viewpoints
in a controlled manner.
Finally, dialogs have a well-defined temporal structure,
with alternating turns for the two (virtual) speakers.
<lp>
In the following we will compare our approach to
Related research and investigate what possible advantages
we may obtain from <em>mixed media</em> presentations.

%%<slide id=dia-condis-title color=red a=0>
:@+ consonant or dissonant comments
%%</slide>
<scene show=on color=yellow text=white a=0 id=dia-scene-perspectives>
<phrase id=dia-scene-perspectives level=0 turn=0 right="remember those?"/>
<phrase id=dia-scene-perspectives level=0 turn=0 left="yes~nI do!"/>
<slide level=0 color=blue a=0 text=white id=dia-con-dis>
<p>
%%<slice text=white><p>
<text trans="11 -5.5 5" a=0.1 annot=@archive/annot/agneta.gif>Our approach is clearly reminiscent to the notorious</text>
<em>Agneta &amp; Frida </em>
characters developed in the <url href=http://www.sics.se/humle/projects/persona/web>Persona</url> project.
</slide>

The Persona project aims at:
investigating a new approach to navigation through information spaces,
Based on a personalised and social navigational paradigm, [_Social].
The novel idea pursued in this project is to have agents (Agneta and
Frieda) that are not helpful, but instead just give comments, sometimes
with humor, but sometimes ironic or even sarcastic comments on the
user's activities, in particular navigating an information space or
(plain) web browsing.
<slide id=dia-xx-2>
%%<slice>
<p level=1>
<lp>
In contrast with the Personas project, our (dialog) comments are part of a presentation which of itself has a definite narrative structure, in opposition to the 'random' navigation that occurs by browsing 'information spaces'.
</p></slide> </scene>
As a consequence, our comments may be designed
taking the expected reaction of the audience
into consideration.
An interesting question is whether comments should be <em>consonant</em>
with the information presented (drawing attention to perticular aspects)
or <em>dissonant</em> (as with ironic or sarcastic comments).

%%<slide id=dia-t-p-2 color=red a=0>
:@+ engagement versus immersion 
%%</slide>
<slide show=on color=red a=0 text=white id=dia-con-enga>
<phrase level=0 turn=0 right="Is that so?"/>
<phrase level=0 turn=0 left="I am~nnot a student!"/>
<phrase level=1 turn=0 right="..."/>
<phrase level=1 turn=0 left="You can say~nthat again!"/>
<slice><p>
The characters and dialog text may be used to enliven the material.<p>
In this way, the students' engagement with the material may be increased, [_Engagement].<slice><p>  
Clearly, there is a tension between engagement and immersion.</slide>
Immersion, understood as the absorption within a familiar
narrative scheme (in our case the lecturer's presentation),
may be disrupted by the presence of (possibly annoying)
comments, whereas the same comments may lead the attention
back to the material, or
provide a foothold for affective reactions to the material,
[_Reactions].
Also, the audience might start to anticipate the occurrence
of a dialog and possibly identify themselves with one
of the characters.


%%<slide id=dia-t-p-3 color=red a=0>
:@+ emotional enhancement
%%</slide>
<slide show=on color=yellow a=0 text=white id=dia-con-enha>
<phrase level=1 turn=0 right="That seems~n a fair question."/>
<phrase level=1 turn=0 left="Yes,~nit is"/>
<phrase level=2 turn=0 right="virtual?"/>
<phrase level=2 turn=0 left="no, stupid~nnatural!"/>
<slice>
<p>
In one of her talks, Kristina H&ouml;&ouml;k observed that some users get really fed up with the comments delivered by Agneta and Frieda. Nevertheless, it also appeared that annoyance and irritation increased the emotional involvement with the task.<slice><p>
For our presentations, we may ask how <em>mixed media</em>   may help in increasing the emotional involvement of the audience or, phrased differently, how dialogs may lead to emotional enhancement of the material, [_Enhancement].<slice>
<lp>
An important difference with the Personas project is that our platform supports the actual merge of dialogs and the humanoid characters that deliver them in a unified presentation format, that is a rich media 3D graphics format based on X3D/VRML. <p>
As a consequence, the tension between immersion and engagement may be partially resolved, since the characters delivering the dialog may be placed in
their 'natural' context, that is a virtual environment </slide>
as in example (a). 


@* Design space -- the juxtaposition of mixed media

In this section, we will explore in a more
systematic way what options we have in creating
<em>mixed media</em> presentations.
We have a division according to levels of complexity,
with at level 0 the basic material, that is dialog
text, rich media objects such as digital video
and virtual environments.
The other levels arise by adding dialogs to either
the media object or the virtual environment.
We also allow for the virtual speakers of the dialog 
to change attributes of the presentation, for example
by depositing objects in the (virtual) environment,
<lp>
In summary, we distinguish between the following levels of complexity:

<slide id=dia-level>
<c>
/// <a href=levels.html><red><em>levels of complexity</em></font></a>
</c>
<p>
<small>
<ul bullet=green>
<li> level 0: <em>basic material</em> --
<a href=dialog-0-text.html>dialog text</a>,  
<a href=dialog-0-media.html>media object</a>  
<a href=@vr/object/vu/vucampus.wrl>virtual environment</a></li>
<li> level 1: <em>combined</em>  -- 
<a href=dialog-1-a.html>media object + dialog</a></li>
<li>level 2: <em>with avatars</em> --
<a href=dialog-2-a.html>media object + dialog + avatars</a></li>
<li>level 3: <em>with attributes</em> --
%%<a href=dialog-3-a.html>dialog + avatars + objects</a></li>
<a href=dialog-3-b.html>media object + dialog + avatars + objects</a></li>
<li>level 4: <em>with context</em> --
%%<a href=dialog-4-a.html>dialog + avatars + context</a></li>
<a href=dialog-4-b.html>media object + dialog + avatars + context</a></li>
%%<a href=dialog-4-c.html>media object + dialog + avatars + context + attributes</a></li>
</ul>
</small>
<navigate/>
</slide>
\noindent
The ordering of these levels is not unique, but admittedly depends
on our intuition of complexity.
<lp>
For each of these levels we have a collection
of representative examples.<l><footnote>http://www.cs.vu.nl/~eliens/research/media/paper-dialogs.html</footnote></l>
%%which are available in
%%the <a href="http://www.cs.vu.nl/~eliens/research/media/paper-dialogs.html"> online version of this paper.

<so fig-dialog-2>

%%:@ discussion 
%%/// <a href=screens.html><red>screens</font></a></a>


<c>
<slide color=green id=level-0>
<h4 text=blue>level 0: basic material</h4>
<p>
<small>
<ul bullet=gold>
<li> <a href=dialog-0-text.html><text a=0.1 trans="14 -3 5" annot=local/screens/vu-1.jpg>dialog text</text></a></li>
<li> <a href=dialog-0-media.html><text a=0.1 trans="14 -3 5" annot=local/screens/vu-4.jpg>media object</text></a></li>
<li> <a href=@vr/object/vu/vucampus.wrl><text a=0.1 trans="14 -3 5" annot=@archive/annot/campus.gif>virtual environment</text></a></li>
</ul>
</small>
<navigate/>
</c>
</slide>

<slide color=green id=level-1>
<h4 text=blue>level 1 -- combined:</h4> <c>
<p>
<small>
<ul bullet=gold>
<li> <a href=dialog-1-a.html>media object + dialog</a></li> 
<li> <a href=dialog-1-b.html>dialog + media object (projected)</a></li> 
</ul>
</small>
<navigate/>
</c> </slide>
<include file=fragment-1.txt>
When combining the media object with the dialog,
we may simply superpose the dialog on the movie,
in a similar way as shown in figure (b), or we may
project the video onto the surface of the speech balloon,
as illustrated in figure (c), which has a rather surprising effect.


<slide color=green id=level-2>
<h4 text=blue>level 2 -- with avatars:</h4> <c>
<p>
<small>
<ul bullet=gold>
<li> <a href=dialog-2-a.html>media object + dialog + avatars</a></li>
</ul>
</small>
<navigate/>
</c> </slide>
It makes quite a difference whether humanoid characters are used
to deliver the dialog or only the plain text balloons.
The use of avatars seems to enhance the recognition of
a particular role, that is the kind of comments the character makes.
Once the role is established, the avatars may dissappear
and the (color and position) of the speech ballons suffice.
Another difference is that the ballons should be positioned
differently without the presence of an avatar.

<slide color=green id=level-3>
<h4 text=blue>level 3 -- with attributes</h4> <c>
<p>
<small>
<ul bullet=gold>
<li> <a href=dialog-3-a.html>dialog + avatars + objects</a></li>
<li> <a href=dialog-3-b.html>media object + dialog + avatars + objects</a></li>
</ul>
</small>
<navigate/>
</c> </slide>
Apart from speaking their dialog text,
the avatars may undertake autonomous actions.
They might get bored and display ambient behavior, like looking on 
their watch.
In addition, before or after speaking their phrase, they
may change their position and modify the environment,
for example by depositing (3D) objects to illustrate
their comments.
These actions may be arbitrarily complex, and for example
result in going to the next (level of the) slide.

<slide color=green id=level-4>
<h4 text=blue>level 4 -- with context:</h4> <c>
<p>
<small>
<ul bullet=gold>
<li> <a href=dialog-4-a.html>dialog + avatars + context</a></li>
<li> <a href=dialog-4-b.html>media object + dialog + avatars + context</a></li>
<li> <a href=dialog-4-c.html>media object + dialog + avatars + context + attributes</a></li>
</ul>
</small>
<navigate/>
</c> </slide>
<include file=fragment-4.txt>
The ultimate context of a slide may be a virtual environment,
as in our examples (a) and (d)  a virtual environment of our university campus developed by one of our students.
Having such a context, the difference between
a presentation and an information space becomes blurry
since the user may interact with the environment and, for example,
start a guided tour.
In such cases the developer must decide whether
the dialog takes place in a fixed
position of the virtual environment or is fixed relative
to the viewpoint of the user/audience.
<lp>
Merging the dialogs with the virtual environment and
the media object might, by the way, lead to
overly complex presentations such as the one depicted in figure (a).

%%<a name=authoring>
@* Authoring issues -- style parameters
\label{authoring}

In the next two sections, we will look at the implementation
of the dialogs, respectively from an authoring perspective
and a system perspective.
<lp>
The authoring of a dialog for a particular dialog or slide
should be easy.
The encoding of the dialog used in the examples discussed
is illustrated below.

<slide color=yellow a=0 id=dia-dialog-phr>
<effect type=style l_persona=-1 r_persona=-1 sky="1 1 1" drop=-1 logo=""/>
<c>
/// <em>dialog</em>
</c>
<p>
<small>
<display font=tt>
&lt;phrase right="how~are~you"/&gt;
&lt;phrase left="fine~thank~you"/&gt;
%%&lt;phrase right="tell~nme~n..."/&gt;
&lt;phrase right="what do~you think~of studying ..."/&gt;
...
%%&lt;phrase left="yes~neh~n..."/&gt;
%%&lt;phrase right="what do~nyou think~nof studying ..."/&gt;
%%&lt;phrase left="what?~n..."/&gt;
%%&lt;phrase right="the opportunities~n~n!"/&gt;
%%&lt;phrase left="what do~nyou mean?"/&gt;
%%&lt;phrase right="of studying~n..."/&gt;
%%&lt;phrase left="studying what~n...?"/&gt;
%%&lt;phrase right="please~nlet me know~n..."/&gt;
%%&lt;phrase left="yes eh,~nI think ..."/&gt;
%%&lt;phrase right="now,~nwhat do you~nthink?"/&gt;
%%&lt;phrase left="I think~nthat~nstudying~n..."/&gt;
%%&lt;phrase right="what~nabout~nstudying?"/&gt;
%%&lt;phrase left="studying~ninvolves~ndiscipline"/&gt;  
%%&lt;phrase right="yes eh~n?"/&gt;
%%&lt;phrase left="and~nmotivation~n..."/&gt;
%%&lt;phrase right="It is like~nliving!"/&gt;
%%&lt;phrase left="indeed~n!"/&gt;
%%&lt;phrase right="But ~nI am~nnot alive"/&gt;
&lt;phrase left="So,~what~are you?"/&gt;
&lt;phrase right="an ~agent" style="[a(e)=1]"/&gt;
&lt;phrase left="I always~wanted to be~an agent" style="[a(e)=1]"/&gt;
</display>
</small>
<navigate/>
</slide>
\noindent
The phrases are (textually) included in a <em>slide</em>,
which is itself indicated by appropriate begin and end tags.
The alternation between speakers is indicated by the 
attributes <em>left</em> and <em>right</em>.
Although detailed indications of (among others)
when a phrase should be uttered are possible, these
advanced options are hardly ever used, except for
defining complex actions.
<lp>
Furthermore, there are a number of style parameters
that may be used to decide for example
whether the avatars or persona are visible, where to place
the dialogs balloons on the display, as well as the color
and transparancy of the balloons.
To this end, we have included a <em>style</em> attribute
in the <em>phrase</em> tag, to allow for setting
any of the style parameters.

<slide color=yellow a=0 id=dia-dialog-style>
/// <em>style parameters</em>
<p>
<small>
<display font=tt>
&lt;phrase right="red" style="[p=(0.5,0,0),persona=0,balloon=0]"/&gt;
&lt;phrase left="cutie" style="[p=(-0.5,0,0),persona=0,balloon=0]"/&gt;
&lt;gesture right=1 style=default/&gt;
&lt;gesture left=1 style=default/&gt;
</display>
</small>
<navigate/>
</slide>
\noindent
Apart from phrases, we also allow for gestures, taken from
the built-in repertoire of the avatars.
In [_STEP], we discuss how to extend the repertoire  
of gestures, using a gesture specification language.    
<lp>
Both phrases and gestures are compiled into DLP code
and loaded when the annotated version of the presentation VR
is started. See section <ref>platform</ref>.

<a name=Platform>
@* Implementation -- the DLP+X3D platform
\label{platform}

In our group we have developed a platform
for <em>intelligent multimedia</em>,
that is a platform 
for virtual environments based on agent technology,
supporting embodied conversational agents, [_Platform].
Our platform merges <url href=http://www.web3d.org>X3D/VRML</url>
with the distributed logic programming language DLP.


%%In effect, our platform is the result of merging VRML
%%with the distributed logic programming language DLP,
%%using the VRML External Authoring Interface.
%%This approach allows for a clear separation of concerns,
%%modeling 3D content on the one hand and determining the
%%dynamic behavior on the other hand.
%%As a remark, recently we have adopted X3D as our 3D format.<footnote>
%%The VRML profile of X3D
%%%%<url href=http://www.web3d.org/fs_x3d.htm>X3D</url> 
%%is an XML encoding of VRML97.</footnote>
%%%%<footnote>http://ww.web3d.org/fs_x3d.htm</footnote>
%%<lp>
%%The language DLP is a distributed object-oriented extension
%%of Prolog.
%%[_DLP].
%%It supports multiple inheritance, non-logical instance
%%variables and multi-threaded objects (to allow for distributed
%%backtracking).
%%Object methods are collections of clauses.
%%Method invocation is dealt with as communication by rendez-vous,
%%for which synchronization conditions may be specified in
%%so-called <em>accept</em> statements.
%%The current implementation of DLP is built on top of Java.
<lp>
To effect an interaction between the 3D content
and the behavioral component written in DLP,
we need to deal with <em>control points</em>,
and (asynchronous) <em>event-handling</em>.  <c>
<slide id=dia-control>
/// DLP+X3D   
<p>
<small>
<ul size=1.5 bullet=red>
<li> control points: <em>get/set</em> -- position, rotation, viewpoint </li>
<li> <em>event-handling</em> -- asynchronous accept</li>
</ul>
</small>
<navigate/>
</slide>
\noindent
</c>
%%We will explain each of these issues separately below.
%%In addition, we will briefly indicate how multi-user environments
%%may be realized with our technology.
%%:@ control points 
The control points are actually nodes in the VRML scenegraph
that act as handles which may be used to manipulate the scenegraph.
%%In effect, these handles are exactly the nodes that may act as the
%%source or target of event-routing in the 3D scene.
%%As an example, the positions of the avatars
%%is changed, using these primitives, 
%%when starting a phrase and when ending a phrase. 

%%As an example, look at the code fragment below,
%%%%which gives a DLP rule to determine whether a soccer player
%%%%must shoot:

%%<slide color=blue a=0 id=dia-dlp-attr>
%%<c> 
%%/// soccer rule
%%</c>
%%<p>
%%<small>
%%<display text=white font=tt>
%%findHowToReact(Agent,Ball,Goal,shooting) :-
%%   get(Agent,position,sfvec3f(X,Y,Z)),
%%   get(Ball,position,sfvec3f(Xb,Yb,Zb)),
%%   get(Goal,position,sfvec3f(Xg,Yg,Zg)),
%%   distance(sfvec3f(X,Y,Z),sfvec3f(Xb,Yb,Zb),DistB),
%%   distance(sfvec3f(X,Y,Z),sfvec3f(Xg,Yg,Zg),DistG),
%%   DistB =< kickableDistance,
%%   DistG =< kickableGoalDistance.
%%</display>
%%</small>
%%<navigate/>
%%</slide>
%%\vspace{-0.5cm}
%%\noindent
%%This rule will only succeed when the actual distance
%%of the player to the goal and to the ball
%%satisfies particular conditions.
%%<lp>
%%In addition to observing the state of the 3D scene
%%using the <em>get</em> predicate,
%%changes to the scene may be effected using the <em>set</em>
%%predicate.

%%:@ event handling 
<lp>
Our approach also allows for changes in the scene that
are not a  direct result of setting attributes
from the logic component, as for example
the transition to a new slide.
%%For details, look at [_Platform].
%%%%Therefore we need some way to intercept events.
An event observer is actually used 
to detect
the transition to another slide.
A dialog may then be started to comment on
the contents of that particular slide.


%%:@ multi-user virtual environments 
<lp>
%%The DLP platform offers direct support for autonomous
%%agents, as for example the players in a soccer game
%%As described in [_Community],
%%<em>agent communication</em> primitives are
The DLP+X3D platform may also be used
to realize multi-user virtual environments, [_Community].
About how a multi-user environment might be used
to explore narrative structures, we can only speculate!

@* Research directions -- conversational agents

In the examples discussed, the agent avatars entered
a dialog with one another to comment on a particular scene or slide,
to augment a presentation.
As a next step, we would like to extend our approach
to allow for interaction in a virtual
environment, that is to augment information spaces.

%%We would also like
%%to develop a richer repertoire of gestures,
%%so that the humanoid characters might actually be able
%%explain particular issues by demonstration.

:@- virtual musea
As an example,
for a virtual gallery for Escher, we can use dialogs to enhance visitors understanding and
enjoyment of the work of Escher on display. We can increase viewers' involvement by directing their attention to
salient features of the painting or the exhibition. By giving information on the ideas that motivate the painting, its
creation or the life of Escher, we can draw viewers more effectively into the world of Escher. 
<lp>
In addition, conversational agents can assist
the user in finding a particular work and,
in particular for the 'impossible spaces' of Escher,
offer means to
experiment with the graphical attributes of the world.

:@- cultural heritage

Another application where we can profit 
from the rich presentation facilities of desktop VR
is the construction of a virtual environment for
cultural heritage.
As an example, think of the database of
<url href=http://www.incca.org>INCCA</url>
(International Network for the Conservation of Contemporary Art),
which contains interviews (auditory material), photos and drawings
(images),
and documents and other written material.
We could well imagine to have (conversational) presentation agents
to present the information to the user. 
Dialogs may be used to present various viewpoints
%%on the material.
on a particular oeuvre.

%%:@ STEP -- a scripting language for movements and gestures
%%The built-in repertoire of gestures of the avatars
%%we use is rather limited.
%%In [_STEP], we discussed how to extend the repertoire
%%of gestures for H-Anim-compliant humanoids,
%%using a gesture specification language based on dynamic
%%logic.
%%As a first example, we have developed an instruction VR
%%for Tai Chi, the Chinese art of movement.
%%We have now extended STEP to include the specification
%%of manual gestures, to allow for 
%%more expressive gestures as well as
%%the manipulation of 3D objects.

@* Conclusions 

<slide show=on id=dia-concl>
<phrase level=0 turn=0 right="Finished?" style="[plain,balloon=0]"/>
<phrase level=0 turn=0 left="Not yet!" style="[plain,balloon=0]"/>
<phrase level=2 turn=0 right="Questions?" style="[p=(0.5,0,0),persona=0]"/>
<phrase level=2 turn=0 left="I hope so!" style="[p=(-0.5,0,0),persona=0]"/>
<p level=0>
We have described a framework for <em>mixed media</em>  that allows for the superposition of (text) dialogs delivered by humanoid avatars and/or speech balloons, on arbitrary rich media objects and virtual environments.</p><p level=1>
We have looked at the design space of <em>mixed media</em>  presentations, by discussing a number of representative examples, each illustrating a particular level of complexity.  Also authoring issues were discussed, and an indication was given of the style parameters needed to develop effective presentations.</p><p level=2>
We have further described the implementation platform used to realize the <em>mixed media</em>    presentations and explored what new applications and extensions are feasible.</p></slide>

<include file=@biblio/refs>
%%\newpage
<so appendix-dialogs>
</document>
