<document type=dialogs>
<so abstract-emotive>
<include file=@biblio/keys>
@* Introduction

The purpose of persuasion is to accomplish one of the following goals: to induce an audience to take some action, to educate the audience, or to provide the audience with an experience.
Persuasive applications have been defined as an interactive technology that attempts to change attitudes and behaviour in some ways.

<lp>
In this paper we will look at the design of rich media through the perspective of persuasion.
We will focus more specifically on the production and design of emotional communication, as emotion is a key to persuasive arguments.
From this viewpoint, dialogues, in the form of text in balloons are added to different media support, such as streaming video or virtual 3D words.
Adding dialogues to existing applications can modify the persuasive intent of the communication.
It can affect the effectiveness of messages or the emotional involvement of viewers.

<lp>
In the demonstration of our approach, we will focus on two examples, Vrije Universiteit (VU) and Escher Gallery.
Prospective students can read information about the university from the VU site and watch videos about the life at VU.
These videos are intended to attract students to the Vrije Universiteit, by giving a more personal view of the university.
By adding dialogues, and by playing with the design of a dialogue itself (balloon, text, etc.), we can vary the emotional tone of the communication by making it, for example humorous.

<lp>
As another example, for a virtual gallery for Escher, we can use dialogues to enhance visitors understanding and enjoyment of the work of Escher on display.
We can increase viewers' involvement by directing their attention to salient features of the painting or the exhibition.
By giving information on the ideas that motivate the painting, its creation or the life of Escher, we can draw viewers more effectively into the world of Escher.
Different persuasive strategies can be developed to appeal to different visitors.

<lp>
In order to evaluate the effectiveness of our approach, we will first explore the design space for creating emotive dialogues.
Different design traditions such as cartoons or techniques from visual persuasion will be considered.
Alternative design solutions will be created, for a limited number of dialogues (based on different persuasive strategies).

<lp>
To illustrate the range of design options, we may present the dialogues with or without avatars, project the video on the text balloons, and vary the shape, colour and transparency of the balloons.
Examples of demos produced for Escher and the VU environments will be discussed in this paper.
We will also briefly describe the technological infrastructure used for developing the examples.

<lp>
It is also envisaged to gather preliminary feedback from viewers by showing different configurations such as, for example, the initial information without and with dialogues, and by comparing different designs.
In this way, we can assess how the communication's impact and viewers' reactions are affected by particular design parameters.

<lp>
Lastly, to conclude we will discuss implications and new possibilities, for the design of virtual environments and enhancing the immersive qualities of rich media.


<include file=@biblio/refs>
</document>
