<?vrml style=platform>
<document type=platform>
%%no-pdf with-dlp with-wrl
%%<c><p align=right><a href=@text-paper-platform.pdf>PDF</a></p></c>
<so abstract-step>
<include file=@biblio/keys>


<slide color=blue text=white id=st-structure>
<h4 align=right><orange>structure</green></h4>
<ul bullet=orange size=1.5>
<li>background and motivation <green>-- DLP+X3D</green> </li>
<li>design principles <green> -- STEP</green> </li>
<li>STEP <green>  -- scripting language</green> </li>
<li>examples <green> -- walk, jump, Tai Chi</green></li>
%%<li>related work <green>-- systems, models, encoding</green></li>
<li>conclusions and future research <green>-- XML</green> </li>
</ul>
%%</channel>
<navigate/>
</slide>

:@* background


<slide id=st-reqs>
<c>
/// DLP+X3D   
</c><p>
<small>
<ul bullet=red size=1.2>
<li><em>declarative language</em> -- for agent support</li>
<li><em>rich media</em> -- 3D (VRML/X3D)</li>
<li><em>programmability</em>  -- X3D/VRML EAI support </li>
<li><em>multiple threads of control</em> -- for multiple shared objects</li>
<li><em>distributed communication</em> -- multi-user support</li>
<li><em>open standards</em> -- XML-based approach</li>
</ul>
</small>
%%<effect bg=-1 type=style r_bulb=0 l_bulb=0/>
<phrase level=0 right="Is this where~nDLP~ncomes in?">
<phrase level=0 left="I think so!"/>
<navigate/>
</slide>

<slide id=st-dlp>
/// DLP  
<ul bullet=red size=1.5>
<li> extension of Prolog </li>
<li> (distributed) objects </li>
<li> non-logical instance variables </li>
<li> multiple inheritance </li>
<li> multi-threaded objects </li>
<li> communication by rendez-vous </li>
<li> (synchronization) accept statements</li>
<li> distributed backtracking </li>
</ul>
<navigate/>
</slide>

<slide id=st-control>
<c>
/// DLP <> X3D
</c><p>
<small>
<ul size=1.5 bullet=red>
<li> control points: <em>get/set</em> -- position, rotation, viewpoint </li>
<li> <em>event-handling</em> -- asynchronous accept</li>
</ul>
</small>
<navigate/>
</slide>

%%<include file=txt-step-code>

:@* principles

<slide id=st-principle>
<c>
/// <em>scripting behavior</em>
<p>
</c>
<small>
<ul bullet=blue size=1.2>
<li><em>convenience</em> -- for non-professional authors </li>
<li><em>compositional semantics</em> -- combining operations </li>
<li><em>re-definability</em> -- for high-level specification of actions </li>
<li><em>parametrization</em> -- for the adaptation of actions </li>
<li><em>interaction</em> -- with a (virtual) environment </li>
</ul>
</small>
<navigate/>
</slide>

:@* STEP -- scripting language


<slide id=st-reference>
/// reference systems
<p>
<ul bullet=green size=1.1>
<li> direction reference -- X,Y,Z (as in VRML/X3D)</li>
<li> body reference -- H-Anim 1.1 </li>
<li> time reference -- beats/min, tempo (fast, slow) </li>
</ul>
<navigate/>
</slide>


<slide id=st-step-actions>
<c>
/// <em>basic actions</em>
</c><p><p>
<small>
<ul bullet=red size=1.2>
<li> <em>move</em>  -- <tt>move(Agent,BodyPart,Direction,Duration)</tt> </li>
<li> <em>turn</em> -- <tt>turn(Agent,BodyPart,Direction,Duration)</tt> </li>
</ul>
</small>
<navigate/>
</slide>

<slide id=st-step-composite>
/// <em>composite operators</em>
<p>
<small>
<ul bullet=blue size=1.2>
<li> <em>sequence</em> -- <tt>[Action_1,...,Action_{n}]</tt> </li>
<li> <em>parallel</em> -- <tt>parallel([Action_1,...,Action_{n}])</tt></li>
<li> <em>choice</em> -- <tt>disjunct([Action_1,...,Action_{n}])</tt></li>
<li> <em>repeat</em> -- <tt>repeat(Action,k)</tt></li>
</ul>
</small>
<navigate/>
</slide>

<slide id=st-step-interacton>
/// <em>interaction</em>
<p>
<small>
<ul bullet=orange size=1.2>
<li> <em>test</em> -- <tt>test(State)</tt> </li>
<li> <em>execution</em> -- <tt>do(State)</tt> </li>
<li> <em>conditional</em> -- <tt>if_then_else(State,Action1,Action2)</tt>  </li>
<li> <em>until</em> -- <tt>until(Action,State)</tt></li>
</ul>
</small>
<navigate/>
</slide>

:@+ example(s)

<slide color=blue a=0 id=st-step-example>
<c>
/// <em>example</em>
</c><p>
<small>
<display text=white font=tt>
script(walk(Agent), ActionList) :-
ActionList = [
  parallel([turn(Agent,r_shoulder,back_down2,fast),
 	turn(Agent,r_hip,front_down2,fast),
 	turn(Agent,l_shoulder,front_down2,fast),
 	turn(Agent,l_hip,back_down2,fast)]),
  parallel([turn(Agent,l_shoulder,back_down2,fast),
 	turn(Agent,l_hip,front_down2,fast),
 	turn(Agent,r_shoulder,front_down2,fast),
 	turn(Agent,r_hip,back_down2,fast)])
], !.
</display>
</small>
<navigate/>
</slide>

<slide id=st-step-img>
<image src=@archive/wasp/walk.jpg>
</slide>

%%<include file=txt-x-step>

<slide id=st-step-tai-chi>
/// STEP
<effect type=style to=0 sky="0.8 0.8 0.8" drop=0 l_string="" r_p="0.5 0 0" r_persona=0 l_bulb=-1 l_persona=-1 r_bulb=0 l_p="-0.5 0 0" logo=""/>
<phrase right="do some~ntai chi" style="[p=(0.8,0,0),default]"/>
<gesture right=3 style="[humanoid=text(0,0,0),humanoid=balloon(0),humanoid=string('tai chi?')]"/>
<phrase left="great!" style="[p=(-1.0,0,0),taichi,next('present-step'),default,p(b)=(0.5,0,1),persona=0,balloon=0]"/>
<phrase level=1 turn=0 right="well done"/>
<gesture level=1 turn=0 right=1 style="[humanoid=type(2),humanoid=string('thank you')]"/>
<phrase level=1 turn=0 left="what s next?" style="[a(e)=1,humanoid=string(''),humanoid=visible(-1)]"/>
<phrase level=1 turn=1 right="kung fu?" style="[a(e)=1,next('present-step')]"/>
<p>
<object level=0 r=0.5 scale="2.0 2.0 2.5" x=12 y=-3 z=45>
##SpotLight { }
#@include steps.vr
</object>
<center>
<text size=2 start=++ end=1 text=red>END OF EXERCISE</text>
<text size=2 level=2 end=-1 text=blue>powered by DLP</text>
</center>
<navigate/>
</slide>


@* conclusions and future research

<slide color=yellow id=st-conc-2>
<effect l_persona=-1 r_persona=-1 type=style sky="0 1 1" drop=0 logo="S T E P"/>
<small>
<h4 align=right text=orange>PRO   </h4>   
<ul bullet=gold>
<li><em>high level scripting </em>-- flexible and powerful </li>
<li><em>firm semantics</em> -- dynamic logic</li>
</ul>
<h4 align=right text=orange>CON   </h4>   
<ul bullet=gold size=1.2>
<li size=1.2><em>authoring</em> -- familiarity with Prolog </li>
<li size=1.2><em>behavior models</em> -- inverse kinematics </li>
</ul>
</small>
<navigate/>
</slide>

<slide id=st-todo>
<h4 align=right text=orange>TODO   </h4>   
<ul bullet=gold>
<li level=1><em>authoring</em> -- XML, Xeena-based editor (X-STEP) </li>
<li level=2><em>models</em>  -- movement, behavior, moods </li>
<li level=3><em>mark up</em>  -- dialogs, actions, style (VHML)  </li>
<li level=3><em>support</em> -- facial animation, text-to-speech </li>
</ul>
</small>
<channel level=3 z=3 r=0.4 s=1.5 text=white x=2 y=-6>
<p>
<text>http://wasp.cs.vu.nl/step</text>
</channel>
<phrase level=1 right="Is this all?" style="[default,p=(0,-1,0),persona=-1,balloon=0]"/>
<phrase level=1 left="I suppose~nso." style="[next('present-step'),default,p=(0,-1,0),balloon=0]"/>
<phrase level=2 turn=0 right="How do~nyou know?" style="[string=dlp]"/>
<phrase level=2 turn=0 left="Ask the~nauthors ..." style="[next('present-step'),string=x3d]"/>
<navigate/>
</slide>


\small
<include file=@biblio/refs>
</document>
