<document type=maps>
%%with-pdf no-wrl no-dlp
<c>
<h1>
Navigating media-rich information spaces using concept graphs -- the <em>abramovic</em> dossier

%%The <em>Abramovic</em> dossier --
%%presentation and navigation of contemporary art in 3D digital dossiers
</h1>
<br>
Anton Eliens, Chris van Riel, Yiwen Wang
%%%Olaf van Zon, Tim Verweij and Anton Eliens
</c>
<latex>

\title{
%%The <em>abramovic</em> dossier --
%%<em>presentation and navigation of contemporary art in 3D digital dossiers</em>
%%Concept graphs as an interface to complex information spaces -- the <em>abramovic</em> dossier
Navigating media-rich information spaces using concept graphs -- the <em>abramovic</em> dossier
}
\author{
Anton Eliens,
Chris van Riel, Yiwen Wang \\
%%Olaf van Zon, Tim Verweij and Anton Eliens
%%}
%%institute{
\scriptsize
<em>Intelligent Multimedia Group</em>\\
Vrije Universiteit, Amsterdam, The Netherlands \\
\{eliens,cvriel,ywang\}@few.vu.nl
}
\date{}
\maketitle 
</latex>
<lp>
%%<abstract>
Navigating media-rich information spaces usually involves switching
back and forth between categories and lists indexing the material
and the actual media presentations.
To address this problem, we developed a concept graph navigation
system in 3D that allows the presentation of media material
and navigation in a more immersive manner, using a presentation gadget
that is closely connected with the navigation facilities 
offered by the concept graph.
<lp>
In this paper,
we describe a multidisciplinary case study of creating a digital dossier
to present a collection of artworks
of the Serbian-Dutch performance artist Marina Abramovic, 
together with the art related information for the preservation 
and re-installation of these artworks. 
For the presentation of information we choose a 3D environment 
which facilitates the presentation of text, 
pictures and video as well as 3D models of artwork installations. 
For navigation we developed a concept graph that allows 
for choosing inter-related concepts, 
artwork-related information and media recordings of artworks 
in a unified intuitive fashion. 
When navigating, a preview of the related material is shown in a semi-transparant way,
to assist the user in selecting the appropriate node.
<lp>
The <url href=http://www.few.vu.nl/~dossier05>Abramovic dossier</url>
%%was develeped in cooperation with dutch cultural heritage institutes,
%%in particular
resulted from a long-standing cooperation with
<a href=http://www.icn.nl>ICN</a> (the Dutch Institute
for Cultural Heritage) and <a href=http://www.montevideo.nl>Montevideo</a>
(the Institute for time-based arts), in the context of
the <url href=http://www.incca.org>INCCA</url> project
(International Network for the Conservation of Contemporary Art</a>,
and the Culture 2000 project.
It was developed by a group of students of the Vrije Universiteit
(including students from Computer Science, Information Science and 
Artificial Intelligence),
based on a set of video recorded interviews with the artist,
which are included in the dossier, together with the media material
related to the actual artworks of Abramovic.
In a follow-up project, we worked at a digital dossier for
<url href=http://www.few.vu.nl/~casus05>Jeffrey Shaw</url>,
in which we further explored the incorporation of 3D models of artworks,
in this case for the installation <em>Revolution</em>.
<lp>
In the paper, we describe the design requirements, as well as the
technical realization of the Abramovic dossier.
Based on an initial user evaluation, we also indicate directions for
future research, and discuss the style criteria for the user interface
of our digital dossier(s). 
%%<b>keywords:</b>
%%concept graphs, relation visualization, contemporary art, VRML.
%%</abstract>
</document>
